Subject: Re: Cygwin Termcap information involving extended ascii charicters
From: "Uther Pendragon" <[email-masked]>
To: "Egor Duda" <[email-masked]>
Date: Mon, 26 Feb 2001 03:42:08 -0600

> Hi!
>
> Monday, 26 February, 2001 Uther Pendragon [email-masked] wrote:
>
> >> what  exactly do you mean by "extended ascii tables" here? if you mean
> >> characters  with  ascii  codes  0x80-0xff then no special tty commands
> >> are  needed  to output them in cygwin console: cygwin console is 8-bit
> >> one.  So  the answer to your question is "currently it's simply ignore
> >> them"
>
> UP> but this means that several programs that use the extended ascii
charicters
> UP> by changing the charicter set will not, i.e. midnight commander, the
colors
> UP> and function keys work, but the box and edge graphics wont show
correctly,
> UP> is there any future plans to correct this?
>
> Box  characters have nothing to do with extended ascii codes. They are
> described in acsc capability in your terminfo entry. Your problem with
> mc  arise from the fact that windows consoles have 2 modes -- ansi and
> oem.   Original  terminfo  entry  was  written for oem mode, which was
> default  at that time. Sometime ago cygwin have changed its default to
> ansi   mode and it lead to problem with box characters -- in ansi mode
> box   characters  have different codes.
>
> To  solve  your  problem  you  have  two   options. You can either set
> cygwin default console mode to 'oem' by  adding    'codepage:oem'   to
> your CYGWIN variable, or change acsc capability in terminfo entry.
>
> Egor.            mailto:[email-masked] ICQ 5165414 FidoNet 2:5020/496.19
>
>

heh, nevermind the last email, thanks though, i found it, you said to change
or add the codepage:oem to the cygwin variable, there wasnt one before i put
that, so i wasnt sure that it was an environment variable you were talking
about.. hehe guess i should have checked that first, thanks man

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple